import Cr0wl3r as package
from setuptools import setup

setup(
    name=package.__name__,
    version=package.__version__,
    py_modules=[package.__name__],
    install_requires=[],
    author=package.__author__,
    author_email=package.__author_email__,
    maintainer=package.__maintainer__,
    maintainer_email=package.__maintainer_email__,
    description=package.__description__,
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    url=package.__url__,
    project_urls={
        "Github": "https://github.com/mauricelambert/Cr0wl3r",
        "Documentation": "https://mauricelambert.github.io/info/python/security/Cr0wl3r.html",
        "Python Executable": "https://mauricelambert.github.io/info/python/security/Cr0wl3r.pyz",
        "Windows Executable": "https://mauricelambert.github.io/info/python/security/Cr0wl3r.exe",
    },
    download_url="https://mauricelambert.github.io/info/python/security/Cr0wl3r.pyz",
    include_package_data=True,
    classifiers=[
        "Topic :: Security",
        "Environment :: Console",
        "Operating System :: MacOS",
        'Operating System :: POSIX',
        "Topic :: System :: Shells",
        "Natural Language :: English",
        "Topic :: Internet :: WWW/HTTP",
        "Programming Language :: Python",
        "Intended Audience :: Developers",
        "Topic :: System :: System Shells",
        "Operating System :: POSIX :: Linux",
        'Operating System :: MacOS :: MacOS X',
        "Programming Language :: Python :: 3.9",
        "Operating System :: Microsoft :: Windows",
        "Topic :: Software Development :: Libraries",
        "Intended Audience :: System Administrators",
        "Development Status :: 5 - Production/Stable",
        "Topic :: Internet :: WWW/HTTP :: Indexing/Search",
        "License :: OSI Approved :: GNU General Public License v3 (GPLv3)",
        "Topic :: Internet :: WWW/HTTP :: Site Management :: Link Checking",
    ],
    entry_points={
        "console_scripts": [
            "Cr0wl3r = Cr0wl3r:main",
        ],
    },
    python_requires=">=3.8",
    keywords=[
        "Crawler",
        "Scraper",
        "Scan",
        "Web",
        "Pentest",
        "Discovery",
        "Security",
        "Selenium",
        "URL",
        "URI",
    ],
    platforms=["Windows", "Linux", "MacOS"],
    license=package.__license__,
)
